atomic/cloud checks fail silently
Open, HighPublic

Description

If you look at [1], it seems that fedora-cloud-tests ran smoothly, all green steps. But looking closely at [2], you notice that there were crashes, VMs weren't even started. While I fixed the issue that caused VMs not to be started, the check shouldn't fail silently like this.

Please fix fedora-cloud-tests, and possibly atomic check too, in a way that if such error occurs, raise an exception so the check crashes and buildbot notices.

[1] http://taskotron-dev.fedoraproject.org/taskmaster/builders/x86_64/builds/398103
[2] http://taskotron-dev.fedoraproject.org/taskmaster/builders/x86_64/builds/398103/steps/runtask/logs/taskotron-stdio.log

mkrizek created this task.Mar 13 2017, 11:17 AM
roshi added a comment.Mar 13 2017, 2:03 PM

So it looks to me like it actually did what it's supposed to do: reported NEEDS_INSPECTION. It failed to grab the image because the value for the Cloud Base image was wrong, and ansible couldn't reach the VM. I'll fix it and submit a patch.

In T928#13358, @roshi wrote:

So it looks to me like it actually did what it's supposed to do: reported NEEDS_INSPECTION. It failed to grab the image because the value for the Cloud Base image was wrong, and ansible couldn't reach the VM. I'll fix it and submit a patch.

The thing is that it was a bug in our infrastructure (a bug in trigger), this shouldn't have been reported as NEEDS_INSPECTION, this should have crashed so we could have gotten an e-mail about it from buildbot so we could fix it.

NEEDS_INSPECTION is an outcome for package/compose maintainers saying that the check for the item (package/compose) has kind of passed (for the lack of better term) but there were some issues that should be looked at.

At least this is the current state we have now, this will need to change with dist-git tasks, and the new execdb with be part of that.

roshi closed this task as "Resolved".Mar 16 2017, 2:54 AM

I'd put this response in the task that was being called - as I thought it fit what "NEEDS_INSPECTION" was supposed to be. I've updated the task to report "FAILED" in these instances, so we'll see a failure in this case. Closing this issue.

I don't think that's a FAILED, honestly. If the images don't work - that's an execution error, not a test failure

mkrizek reopened this task as "Open".Mar 16 2017, 10:58 AM
In T928#13385, @tflink wrote:

I don't think that's a FAILED, honestly. If the images don't work - that's an execution error, not a test failure

Yes, as I stated in the description, task needs to raise an exception and crash so we get notified.

roshi added a comment.Mar 16 2017, 9:11 PM

I'm updating the tasks to throw an exception if it can't get the image.

mkrizek moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Mar 17 2017, 5:22 PM
kparal edited projects, added Restricted Project; removed infrastructure, Restricted Project.Aug 1 2017, 1:07 PM